# Uses of Class
org.apache.solr.client.solrj.response.JavaBinResponseParser

Packages that use JavaBinResponseParser
Package
Description
org.apache.solr.client.solrj.response
Convenience classes for dealing with various types of Solr responses.

## Uses of JavaBinResponseParser in org.apache.solr.client.solrj.response

Subclasses of JavaBinResponseParser in org.apache.solr.client.solrj.response
Modifier and Type
Class
Description
`class`
`StreamingJavaBinResponseParser`
A BinaryResponseParser that sends callback events rather than build a large response
Methods in org.apache.solr.client.solrj.response that return JavaBinResponseParser
Modifier and Type
Method
Description
`JavaBinResponseParser`
JavaBinResponseParser.`setStringCache(JavaBinCodec.StringCache cache)`